Page MenuHomePhabricator

GitHub -> Differential bridge for new contributors
Closed, DeclinedPublic

Description

This task upstream contains useful background: Document one or two reasonable workflows for Github repositories

Upstream report: https://secure.phabricator.com/T589 (Closed/Declined, upstream will not maintain third-party importers).

A GitHub->Phabricator bridge (similar to T37497 for GitHub->Gerrit) would allow new contributors to make a change without installing arc.

Basically, new GitHub pull requests would get copied into Differential (the Phabricator code review tool).

See prior discussion at T127: Find way to use Differential with plain git (i.e.: without requiring arc).

Details

Reference
fl281

Event Timeline

flimport raised the priority of this task from to Lowest.Sep 12 2014, 1:34 AM
flimport added a project: Gerrit-Migration.
flimport set Reference to fl281.

qgil wrote on 2014-05-06 01:37:50 (UTC)

There seems to be something about this upstream (unfinished):

D8775: Integrate GitHub pull requests as Differential reviews

avive wrote on 2014-05-19 19:04:42 (UTC)

Until https://secure.phabricator.com/D8775 "Integrate GitHub pull requests as Differential reviews" can be re-written using future tools, Jenkins can run a client-side script to convert a PR into a Revision, post a relevant message on the PR, and maybe keep bringing updates from it.

I can try coding this up if it looks like something you could use.

mattflaschen wrote on 2014-07-26 01:46:47 (UTC)

Facebook has a bot for this. See https://github.com/facebook/hhvm/pull/3217 . Maybe they'd be willing to open source it.

aklapper wrote on 2014-08-28 21:13:18 (UTC)

In T281#12, @mattflaschen wrote:

Facebook has a bot for this. See https://github.com/facebook/hhvm/pull/3217 . Maybe they'd be willing to open source it.

Anybody in WMF who has contacts (e.g. via HHVM?) to make a friendly request to Facebook?

avive wrote on 2014-09-06 18:19:19 (UTC)

From the readme, this looks like a daemon that translates (and updates) branches to Revisions:

https://github.com/bloomberg/phabricator-tools/blob/master/doc/man/arcyd/arcyd.generated.txt

asb added a subscriber: asb.Nov 14 2014, 11:48 AM

Meanwhile, a small project has been created upstream "Of or pertaining to integration with GitHub."

https://secure.phabricator.com/project/profile/582/

Qgil updated the task description. (Show Details)Jan 15 2015, 7:03 AM
Qgil set Security to None.
Spage updated the task description. (Show Details)Mar 26 2015, 11:12 PM
greg added a subscriber: greg.

Same reasoning from T715:

In T715#1620922, @greg wrote:

... this is a new feature (not something we have with Gerrit now) and thus not a blocker for the Gerrit-Migration project. Nor is it a blocker for the gitblit-deprecation (the gitblit-deprecation project should not be use for any and all code-hosting needs).

Adding Differential to track this going foward.

greg renamed this task from GitHub->Phabricator bridge for new contributors to GitHub -> Differential bridge for new contributors.Sep 9 2015, 5:42 PM
greg updated the task description. (Show Details)
greg removed a project: Gerrit-Migration.
greg moved this task from To Triage to Backlog on the Differential board.Nov 4 2015, 7:12 PM
bd808 added a subscriber: bd808.Nov 29 2015, 9:22 PM

This seems to be a good idea but one problem is jenkins tests wont run.

This seems to be a good idea but one problem is jenkins tests wont run.

Why not? They will run on the Differential side after the import.

Krinkle removed a subscriber: Krinkle.Apr 6 2016, 10:45 PM
Quiddity added a subscriber: Quiddity.
mmodell closed this task as Declined.Oct 31 2018, 7:37 PM